# ModifyCidrAttribute

## 1. API Description

This API (ModifyCidrAttribute) is used to modify the attributes of a CIDR block. Only the name of the CIDR block can be modified for now.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                                                                                                                                   |
| -------------- | -------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| cidrId         | Yes      | String | CIDR block ID.                                                                                                                                                                                                                |
| name           | Yes      | String | <p>CIDR block name to be modified.</p><p>Length: 2–63 characters.</p><p>Only letters, numbers, hyphens (-), slashes (/), underscores (\_), and periods (.) are allowed.</p><p>Must start and end with a letter or number.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Modify the name of a CIDR block.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyCidrAttribute
<Common Request Params>

Request：
{
    "cidrId": "<cidrId>",
    "name": "TestCidrName"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code                | Description           |
| ---------------- | ------------------------- | --------------------- |
| 404              | INVALID\_CIDR\_NOT\_FOUND | CIDR block not found. |
